<%@ page language="java" contentType="text/html;charset=utf-8" %>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/struts-logic.tld" prefix="logic" %>
<%@ taglib uri="/WEB-INF/sj.tld" prefix="sj" %>

<html:html locale="true">
<%@ include file="../common/begin.jsp" %>

<body class="content">
<sj:titleContent usingWhere="true" tomThumb="true"/>
<sj:tabs usingWhere="true" heightTab="20">
  <sj:tab forward="ActionEditJoramPlatform"><bean:message key="tab.joramplatform"/></sj:tab>
  <sj:tab forward="JoramServers" selected="true"><bean:message key="tab.joramservers"/></sj:tab>
  <sj:tab forward="JoramXml"><bean:message key="tab.joramxml"/></sj:tab>
  <sj:panel>
     <sj:jonasgrid>
       <sj:jgRowTitle>
         <logic:equal name="collocatedServer" value="true">
           <sj:jgColTitle><bean:message key="title.joramservers.localserver"/></sj:jgColTitle>
         </logic:equal>
         <logic:notEqual name="collocatedServer" value="true">
           <sj:jgColTitle><bean:message key="title.joramservers.currentserver"/></sj:jgColTitle>
         </logic:notEqual>
       </sj:jgRowTitle>
     </sj:jonasgrid>
     <sj:jonasgrid>
        <sj:gridrow>
     	   <sj:gridcol>
     		<html:link forward="ActionEditJoramServer" styleClass="panel"
     		    paramId="id" paramName="joramPlatformForm" paramProperty="localServer">
     			<bean:message key="message.remoteservers.server"/>
            	<bean:write name="joramPlatformForm" property="localServer"/>
            </html:link>
     	   </sj:gridcol>
     	</sj:gridrow>
     </sj:jonasgrid>

  <sj:panelSeparator/>

     <sj:jonasgrid>
      	<sj:jgRowTitle>
        	<sj:jgColTitle><bean:message key="title.joramservers.remoteservers"/></sj:jgColTitle>
        </sj:jgRowTitle>
     </sj:jonasgrid>
     <sj:jonasgrid>
        <bean:size id="listSize" name="joramPlatformForm" property="remoteServers"/>
        <logic:equal name="listSize" value="0">
           <sj:gridrow>
              <sj:gridcol><bean:message key="message.remoteservers.none"/></sj:gridcol>
           </sj:gridrow>
        </logic:equal>
        <logic:notEqual name="listSize" value="0">
        	<logic:iterate id="item" name="joramPlatformForm" property="remoteServers">
           		<sj:gridrow>
              		<sj:gridcol>
     					<html:link forward="ActionEditJoramServer" styleClass="panel" paramId="id" paramName="item">
     						<bean:message key="message.remoteservers.server"/>
            				<bean:write name="item"/>
            			</html:link>
              		</sj:gridcol>
           		</sj:gridrow>
           	</logic:iterate>
        </logic:notEqual>
     </sj:jonasgrid>

  </sj:panel>
</sj:tabs>

<%@ include file="../common/end.jsp" %>
</body>
</html:html>

